use serde::Deserialize;

mod config;
mod kakoune;

pub mod client;
pub mod daemon;

#[derive(Clone, Debug, Deserialize)]
pub struct Request {
    /// The buffer content
    content: String,
    /// The Kakoune timestamp
    timestamp: u64,
    /// The Kakoune session
    session: String,
    /// The Kakoune client
    client: String,
}
